# Class CryptoCurrencyAccountPayload

#### Hierarchy

- unknown
  - CryptoCurrencyAccountPayload

- Defined in src/protobuf/pb_pb.d.ts:4432
- Defined in src/protobuf/pb_pb.d.ts:4444

#####
Index

### Constructors

constructor

### Methods

getAddress
serializeBinary
setAddress
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new CryptoCurrencyAccountPayload(): CryptoCurrencyAccountPayload

- #### Returns CryptoCurrencyAccountPayload

  Inherited from jspb.Message.constructor

## Methods

### getAddress

- getAddress(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:4433

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:4436

### setAddress

- setAddress(value: string): CryptoCurrencyAccountPayload

- #### Parameters

  - ##### value: string

  #### Returns CryptoCurrencyAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:4434

### toObject

- toObject(includeInstance?: boolean): CryptoCurrencyAccountPayload.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns CryptoCurrencyAccountPayload.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:4437

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): CryptoCurrencyAccountPayload

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns CryptoCurrencyAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:4440

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: CryptoCurrencyAccountPayload, reader: BinaryReader): CryptoCurrencyAccountPayload

- #### Parameters

  - ##### message: CryptoCurrencyAccountPayload

  - ##### reader: BinaryReader

  #### Returns CryptoCurrencyAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:4441

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: CryptoCurrencyAccountPayload, writer: BinaryWriter): void

- #### Parameters

  - ##### message: CryptoCurrencyAccountPayload

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/pb_pb.d.ts:4439

### `Static` toObject

- toObject(includeInstance: boolean, msg: CryptoCurrencyAccountPayload): CryptoCurrencyAccountPayload.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: CryptoCurrencyAccountPayload

  #### Returns CryptoCurrencyAccountPayload.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:4438

Generated using TypeDoc